// Copyright (c) 2005-2010 StreamBase Systems, Inc. All rights reserved.
package com.streambase.contrib.eclipse.connectivity;

import com.streambase.contrib.eclipse.connectivity.internal.SBConnectivityPluginActivator;


/**
 * Public interface to the connectivity plug-in. Use {@link #getSBConnection()} to
 * retrieve a handle to the StreamBase Connection singleton.
 */
public class SBConnectivityPlugin {

	private SBConnectivityPlugin() {}
	
	/**
	 * Retrieve the singleton StreamBase Connection interface
	 * @return the StreamBase Connection interface as an {@link ISBConnection}
	 */
	public static ISBConnection getSBConnection() {
		return SBConnectivityPluginActivator.getDefault().getSBConnection();
	}
}
